Bug 17753 - АЛЬТ не ставится на GPT диски
: АЛЬТ не ставится на GPT диски
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 17727
  Show dependency tree
 
Reported: 2008-10-31 15:59 by
Modified: 2009-06-22 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-10-31 15:59:17
АЛЬТ не ставится на GPT диски. Это приводит к тому что без рукоприкладства 4.0
(и 4.1 скорее всего тоже, но я ун проверял) не поставишь на маковское железо
второй операционкой.
------- Comment #1 From 2008-10-31 16:03:28 -------
патчи приветствуются
------- Comment #2 From 2009-06-10 13:01:24 -------
(В ответ на комментарий №0)
> АЛЬТ не ставится на GPT диски. Это приводит к тому что без рукоприкладства 4.0
> (и 4.1 скорее всего тоже, но я ун проверял) не поставишь на маковское железо
> второй операционкой.
Вот вчерашний сизиф поставился.
Т.к. использовался железный рейд, то суммарный объем диска был 3Т. alterator-vm
работает с msdoc partition table. Поэтому изначально диск разметил при помощи
parted. Потом на подготовленные разделы нормально поставился. указывал только
точку монтирования.
Хотелось бы чтобы alterator-vm мог работать с такими большими дисками. Но
наверно нужно заводить новый FR
------- Comment #3 From 2009-06-10 13:07:15 -------
Помимо Mac OS, GPT разделы могут быть нужны в случае, если дисковый массив
будет больше двух терабайт.

На мой взгляд, это стоит реализовать для сервера.
2sbolshakov: сколько времени займёт добавление GPT разделов в alterator-vm ?
------- Comment #4 From 2009-06-10 13:14:51 -------
2-3 недели
------- Comment #5 From 2009-06-10 16:28:19 -------
(В ответ на комментарий №3)
> Помимо Mac OS, GPT разделы могут быть нужны в случае, если дисковый массив
> будет больше двух терабайт.
> 
> На мой взгляд, это стоит реализовать для сервера.
Вообщем-то и на десктопах не редкость диски больше 2Т. Очень много материнок
идут с встроенным рейдом и народ любит ставить диски туда RAID-0
------- Comment #6 From 2009-06-10 16:30:11 -------
и как такую конфигурацию переживает Windows ?
------- Comment #7 From 2009-06-10 17:33:29 -------
(В ответ на комментарий №6)
> и как такую конфигурацию переживает Windows ?
Вроде как поддерживает
http://kbalertz.com/946557/cannot-install-start-Windows-Vista-volume-system-partition-larger-terabytes.aspx
------- Comment #8 From 2009-06-10 17:42:40 -------
(В ответ на комментарий №7)
> (В ответ на комментарий №6)
> > и как такую конфигурацию переживает Windows ?
> Вроде как поддерживает
> http://kbalertz.com/946557/cannot-install-start-Windows-Vista-volume-system-partition-larger-terabytes.aspx

И вот:
http://www.microsoft.com/whdc/device/storage/GPT_FAQ.mspx
------- Comment #9 From 2009-06-22 15:45:47 -------
fixed in 0.4.1-alt9